import * as Yup from "yup";
import dayjs from "dayjs";

export const getInitialValues = (objectToEdit: any): any => {
  return {
    content: null,
    date: dayjs(Date()),
    type: null,
    attachments: null,
  };
};

export const getValidationSchema = () => {
  // validate input
  return Yup.object().shape({
    content: Yup.string().required("validation.required"),
    date: Yup.string().required("validation.required"),
    type: Yup.string().required("validation.required"),
  });
};
